"""
Copyright 2021-2023 MICRORISC s.r.o.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
"""

from enum import Enum


class Messages(str, Enum):
	"""Daemon API response message enum class."""

	FRC_SEND = 'iqrfEmbedFrc_Send'
	FRC_SELECTIVE = 'iqrfEmbedFrc_SendSelective'
	SENSOR_FRC = 'iqrfSensor_Frc'
	SENSOR_READ = 'iqrfSensor_ReadSensorsWithTypes'
	MCU_CHARGER = 'iqrfGwMcu_GetCharger'

	@classmethod
	def exists(cls, value: str) -> bool:
		"""
		Check if value is an enum member.

		Parameters
		----------
		value: str
			value to find

		Returns
		-------
		bool
			True if value is enum member, False otherwise
		"""
		return value in cls._value2member_map_
