"""
Copyright 2021-2023 MICRORISC s.r.o.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
"""

from typing import List
from .Entities.Measurement import Measurement


class InfluxClientInterface:
	"""
	InfluxDB client interface.

	Methods
	-------
	start() -> None:
		Initializes InfluxDB client and connects to database.
	write(measurements: List[Measurement]) -> None:
		Writes measurements to database and logs information.
	"""

	def start(self) -> None:
		"""
		Initialize InfluxDB client and connects to database.

		Parameters
		----------
		None

		Returns
		-------
		None
		"""

	def write(self, measurements: List[Measurement]) -> None:
		"""
		Write measurements to database and logs information.

		Parameters
		----------
		measurements: List[Measurement]
			list of measurement objects to be written to database

		Returns
		-------
		None
		"""
